Skip to main content
GET
/
v1
/
caller-trust
/
reputation
/
numbers
/
{phone}
Get reputation scores for a phone number
curl --request GET \
  --url https://api.revdesk.com/v1/caller-trust/reputation/numbers/{phone} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "phone_number": "<string>",
    "enterprise_id": "<string>",
    "spam_risk": "<string>",
    "spam_category": "<string>",
    "maturity_score": 123,
    "connection_score": 123,
    "engagement_score": 123,
    "sentiment_score": 123,
    "last_refreshed_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone
string
required

Query Parameters

Response

Success

data
object
required